%define pkg_name        Test-Dependencies
%define pkg_version     0.08
%define rpm_pkg_version 0.08
%define rpm_pkg_release 1.n0i.3

Summary:       Ensure that your Makefile.PL specifies all module dependencies
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/Z/ZE/ZEV/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
Requires:      perl(Test::Builder::Tester) >= 0.64
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(B::PerlReq)}
%{!?_without_test:BuildRequires: perl(File::Find::Rule)}
%{!?_without_test:BuildRequires: perl(IPC::Cmd)}
%{!?_without_test:BuildRequires: perl(Module::CoreList)}
%{!?_without_test:BuildRequires: perl(PerlReq::Utils)}
%{!?_without_test:BuildRequires: perl(Test::Builder::Module)}
%{!?_without_test:BuildRequires: perl(Test::Builder::Tester) >= 0.64}
%{!?_without_test:BuildRequires: perl(YAML)}


%description
Makes sure that all of the modules that are 'use'd are listed in the
Makefile.PL as dependencies.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.08-1.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.08

* Sat Jul 15 2006 Marius Feraru <altblue@n0i.net> - 0.04-1.n0i.2
- version 0.04

* Sat Jul 08 2006 Marius Feraru <altblue@n0i.net> - 0.01-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
